'use client';
var jsxRuntime = require('react/jsx-runtime');
var iconsMaterial = require('@mui/icons-material');
var material = require('@mui/material');
var react = require('react');
var UploadButtonClient = require('./UploadButton-client-McVssVHv.js');

const UploadPanel = ({ acceptMimeTypes, handleAddFile, handleDropFile, disabled = false, i18n })=>{
    const [dragging, setDragging] = react.useState(false);
    const { main: mainText = ' Chose file or drag and drop here', sub: subText = '', button: buttonText } = i18n ?? {};
    return /*#__PURE__*/ jsxRuntime.jsxs(material.Box, {
        sx: {
            border: 1,
            borderStyle: 'dashed',
            borderRadius: 4,
            borderColor: dragging ? 'primary.main' : 'grey.400',
            width: '100%',
            p: 4,
            display: 'flex',
            flexDirection: 'column',
            alignItems: 'center',
            justifyContent: 'center',
            gap: 2
        },
        onDrop: (event)=>{
            event.preventDefault();
            setDragging(false);
            if (disabled) return;
            handleDropFile(event);
        },
        onDragEnter: (event)=>{
            event.preventDefault();
            setDragging(true);
        },
        onDragLeave: (event)=>{
            event.preventDefault();
            setDragging(false);
        },
        onDragOver: (event)=>{
            event.preventDefault();
            setDragging(true);
        },
        children: [
            /*#__PURE__*/ jsxRuntime.jsx(iconsMaterial.CloudUploadOutlined, {
                color: "primary",
                sx: {
                    width: 50,
                    height: 50
                }
            }),
            /*#__PURE__*/ jsxRuntime.jsxs(material.Box, {
                children: [
                    /*#__PURE__*/ jsxRuntime.jsx(material.Typography, {
                        sx: {
                            userSelect: 'none',
                            textAlign: 'center',
                            fontWeight: 'bold'
                        },
                        children: mainText
                    }),
                    subText && /*#__PURE__*/ jsxRuntime.jsx(material.Typography, {
                        sx: {
                            userSelect: 'none',
                            textAlign: 'center'
                        },
                        color: "text.secondary",
                        children: subText
                    })
                ]
            }),
            /*#__PURE__*/ jsxRuntime.jsx(UploadButtonClient.UploadButton, {
                acceptMimeTypes: acceptMimeTypes,
                handleAddFile: handleAddFile,
                disabled: disabled,
                children: buttonText
            })
        ]
    });
};

exports.UploadPanel = UploadPanel;
