'use client';
import { jsxs, jsx } from 'react/jsx-runtime';
import MuiButton from '@mui/material/Button';
import CircularProgress from '@mui/material/CircularProgress';
import { forwardRef } from 'react';

const ButtonInner = (props, ref)=>{
    const { children, sx, loading = false, disabled = false, shape = 'default', variant = 'contained', ...rest } = props;
    return /*#__PURE__*/ jsxs(MuiButton, {
        ref: ref,
        sx: {
            '&.MuiButton-text:hover': {
                backgroundColor: 'inherit'
            },
            '&.Mui-disabled': {
                pointerEvents: 'inherit',
                cursor: 'not-allowed'
            },
            ...shape === 'round' && {
                borderRadius: '40px',
                paddingInlineStart: '20px',
                paddingInlineEnd: '20px'
            },
            ...sx
        },
        variant: variant,
        disabled: loading || disabled,
        ...rest,
        children: [
            children,
            loading && /*#__PURE__*/ jsx(CircularProgress, {
                sx: {
                    ml: 1
                },
                color: "inherit",
                size: "1.5em"
            })
        ]
    });
};
/**
 * 表示一個可點擊的按鈕元件，用於觸發相關的業務邏輯。
 *
 * 參考 [Material-UI Button](https://mui.com/material-ui/react-button/)
 */ const Button = /*#__PURE__*/ forwardRef(ButtonInner);

export { Button as B };
