'use client';
import { jsx } from 'react/jsx-runtime';
import Skeleton from '@mui/material/Skeleton';
import Typography from '@mui/material/Typography';
import { forwardRef } from 'react';

/**
 * `DecorativeTitle` 在標題前加上裝飾線。
 */ const DecorativeTitle = /*#__PURE__*/ forwardRef(({ children, loading, ...rest }, ref)=>/*#__PURE__*/ jsx(Typography, {
        ref: ref,
        color: "primary.main",
        ...rest,
        sx: {
            display: 'flex',
            fontSize: '1.25rem',
            fontWeight: 'bold',
            '&:before': {
                content: '""',
                borderLeft: '5px solid',
                borderRadius: 20,
                borderColor: 'primary.main',
                mr: 1
            },
            ...rest?.sx
        },
        children: loading ? /*#__PURE__*/ jsx(Skeleton, {
            variant: "text",
            sx: {
                width: '100%'
            }
        }) : children
    }));

export { DecorativeTitle as D };
