'use client';
import { jsx, jsxs } from 'react/jsx-runtime';
import { formatBytes } from '@gateweb/react-utils';
import { DeleteOutline } from '@mui/icons-material';
import { Stack, Avatar, Box, Typography } from '@mui/material';
import '@mui/material/Button';
import '@mui/material/CircularProgress';
import 'react';
import { I as IconButton } from './IconButton-client-RgaMe93C.mjs';

const FileList = ({ files, handleDeleteFile })=>/*#__PURE__*/ jsx(Stack, {
        spacing: 1,
        children: files.map((file)=>/*#__PURE__*/ jsxs(Stack, {
                spacing: 1,
                direction: "row",
                justifyContent: "space-between",
                alignItems: "center",
                sx: {
                    '&:hover': {
                        borderRadius: 2,
                        backgroundColor: 'grey.100'
                    },
                    p: 1
                },
                children: [
                    /*#__PURE__*/ jsx(Avatar, {
                        sx: {
                            fontSize: '0.75rem',
                            bgcolor: 'inherit',
                            color: 'primary.main',
                            border: 1,
                            borderColor: 'primary.main'
                        },
                        children: file.file.name.split('.').pop()?.toLocaleUpperCase()
                    }),
                    /*#__PURE__*/ jsxs(Box, {
                        sx: {
                            overflow: 'hidden',
                            width: '100%'
                        },
                        children: [
                            /*#__PURE__*/ jsx(Typography, {
                                fontWeight: "bold",
                                sx: {
                                    overflow: 'hidden',
                                    textOverflow: 'ellipsis',
                                    whiteSpace: 'nowrap'
                                },
                                children: file.file.name
                            }),
                            /*#__PURE__*/ jsx(Typography, {
                                fontSize: "0.75rem",
                                color: "text.secondary",
                                children: formatBytes(file.file.size)
                            })
                        ]
                    }),
                    /*#__PURE__*/ jsx(IconButton, {
                        size: "small",
                        onClick: ()=>handleDeleteFile(file.id),
                        children: /*#__PURE__*/ jsx(DeleteOutline, {})
                    })
                ]
            }, file.id))
    });

export { FileList as F };
