'use client';
import { jsxs, jsx } from 'react/jsx-runtime';
import { CloudUploadOutlined } from '@mui/icons-material';
import { Box, Typography } from '@mui/material';
import { useState } from 'react';
import { U as UploadButton } from './UploadButton-client-Cu7hxSil.mjs';

const UploadPanel = ({ acceptMimeTypes, handleAddFile, handleDropFile, disabled = false, i18n })=>{
    const [dragging, setDragging] = useState(false);
    const { main: mainText = ' Chose file or drag and drop here', sub: subText = '', button: buttonText } = i18n ?? {};
    return /*#__PURE__*/ jsxs(Box, {
        sx: {
            border: 1,
            borderStyle: 'dashed',
            borderRadius: 4,
            borderColor: dragging ? 'primary.main' : 'grey.400',
            width: '100%',
            p: 4,
            display: 'flex',
            flexDirection: 'column',
            alignItems: 'center',
            justifyContent: 'center',
            gap: 2
        },
        onDrop: (event)=>{
            event.preventDefault();
            setDragging(false);
            if (disabled) return;
            handleDropFile(event);
        },
        onDragEnter: (event)=>{
            event.preventDefault();
            setDragging(true);
        },
        onDragLeave: (event)=>{
            event.preventDefault();
            setDragging(false);
        },
        onDragOver: (event)=>{
            event.preventDefault();
            setDragging(true);
        },
        children: [
            /*#__PURE__*/ jsx(CloudUploadOutlined, {
                color: "primary",
                sx: {
                    width: 50,
                    height: 50
                }
            }),
            /*#__PURE__*/ jsxs(Box, {
                children: [
                    /*#__PURE__*/ jsx(Typography, {
                        sx: {
                            userSelect: 'none',
                            textAlign: 'center',
                            fontWeight: 'bold'
                        },
                        children: mainText
                    }),
                    subText && /*#__PURE__*/ jsx(Typography, {
                        sx: {
                            userSelect: 'none',
                            textAlign: 'center'
                        },
                        color: "text.secondary",
                        children: subText
                    })
                ]
            }),
            /*#__PURE__*/ jsx(UploadButton, {
                acceptMimeTypes: acceptMimeTypes,
                handleAddFile: handleAddFile,
                disabled: disabled,
                children: buttonText
            })
        ]
    });
};

export { UploadPanel as U };
