'use client';
import './BreadCrumb-client-CyBp43-o.mjs';
import { jsxs, jsx } from 'react/jsx-runtime';
import { FormControl, Stack, FormLabel, Tooltip, Typography, Box, FormHelperText } from '@mui/material';
import 'react';
import '@mui/material/Skeleton';
import '@mui/material/Typography';
import '@mui/material/Backdrop';
import '@mui/material/CircularProgress';
import './Card-client-CgMtZmXk.mjs';
import './Dot-client-0SdSGpBH.mjs';
import './Drawer-client-DsnnrUPK.mjs';
import { HelpOutlineOutlined } from '@mui/icons-material';
import '@mui/material/Stack';
import '@gateweb/react-utils';
import '@mui/material/Box';
import '@mui/material/Button';
import '@mui/material/IconButton';
import './Modal-client-CfJHFGhl.mjs';
import './Switch-client-C1HdfgL9.mjs';
import './Table-client-BUdm4QDz.mjs';
import 'react-number-format';
import './OTPField-client-DJAHG9jr.mjs';
import '@mui/material/Alert';
import '@mui/material/Snackbar';
import './UploadButton-client-Cu7hxSil.mjs';

/**
 * `FormItem` 讓我們可以將 form input 所需要的共同前後文特性獨立出來管理，
 * 使被 control 的子元件之間的樣式能夠保持一致性。
 * 例如在 form input 元件 `TextField`, `Switch`, `Checkbox` 當中，
 * 將 `label`, `required`, `error` ...等邏輯與樣式獨立出來藉由 FormItem 來管理。
 *
 * 參考 [Material-UI: FormControl](https://mui.com/material-ui/api/form-control/)
 */ const FormItem = ({ children, label, helperText, helpInfo, maxLength, currentLength, error, fullWidth = true, ...rest })=>/*#__PURE__*/ jsxs(FormControl, {
        fullWidth: fullWidth,
        error: error,
        ...rest,
        children: [
            /*#__PURE__*/ jsxs(Stack, {
                direction: "row",
                justifyContent: "space-between",
                children: [
                    /*#__PURE__*/ jsxs(Stack, {
                        direction: "row",
                        alignItems: "center",
                        justifyContent: "center",
                        spacing: 0.5,
                        sx: {
                            position: 'relative',
                            width: 'fit-content'
                        },
                        children: [
                            /*#__PURE__*/ jsx(FormLabel, {
                                sx: {
                                    fontSize: '0.8rem',
                                    py: 0.5,
                                    '& .MuiFormLabel-asterisk': {
                                        color: 'error.main'
                                    }
                                },
                                children: label
                            }),
                            helpInfo && /*#__PURE__*/ jsx(Tooltip, {
                                title: helpInfo,
                                placement: "top",
                                enterTouchDelay: 50,
                                children: /*#__PURE__*/ jsx(HelpOutlineOutlined, {
                                    color: "info",
                                    fontSize: "small"
                                })
                            })
                        ]
                    }),
                    maxLength !== undefined && /*#__PURE__*/ jsx(Typography, {
                        component: "span",
                        sx: {
                            fontSize: '0.8rem'
                        },
                        color: error ? 'error' : 'text.secondary',
                        children: `${currentLength ?? 0}/${maxLength}`
                    })
                ]
            }),
            /*#__PURE__*/ jsx(Box, {
                sx: {
                    minHeight: 40,
                    display: 'flex',
                    alignItems: 'flex-start'
                },
                children: children
            }),
            helperText && /*#__PURE__*/ jsx(FormHelperText, {
                children: helperText
            })
        ]
    });

export { FormItem as F };
